assert node.has_bundle('nginx'), 'letsencrypt needs nginx'

pkg_apt = {
    'dehydrated': {},
}

actions = {
    'letsencrypt_update_certificates': {
        'command': 'dehydrated --cron --accept-terms --ocsp --challenge http-01',
        'triggered': True,
        'needs': {
            'pkg_apt:dehydrated',
        },
    },
}

files = {
    '/etc/dehydrated/domains.txt': {
        'content_type': 'mako',
        'triggers': {
            'action:letsencrypt_update_certificates',
        },
    },
}
